/****************************************************************************
**
** Copyright (C) 2012 Róbert Márki
**
** This file is part of Web Feeds.
**
** Web Feeds is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** Web Feeds is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with Web Feeds.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/

#include "feeditem.h"

namespace GoogleReader
{
FeedItem::FeedItem(PageItemPtr parent, AbstractFeedAggreagatorService *service) :
    ParentItem(parent, service),
    m_startTime(0)
{
}

GoogleReaderItem::ItemType FeedItem::itemType() const
{
    return GoogleReaderItem::ItFeedItem;
}

QString FeedItem::continuation() const
{
    return m_continuation;
}

void FeedItem::setContinuation(const QString &continuation)
{
    m_continuation = continuation;
}

quint64 FeedItem::startTime() const
{
    return m_startTime;
}

void FeedItem::setStartTime(quint64 startTime)
{
    m_startTime = startTime;
}

QStringList FeedItem::folders() const
{
    return m_folders;
}

void FeedItem::setFolders(const QStringList &folders)
{
    m_folders = folders;
    emit foldersChanged();
}
} // namespace GoogleReader
